const gql = require('graphql-tag');

const query = gql`{
  applications {
    id
    status
    applicants {
      id
      image
      email
      members {
        member1 {
          name
          ssn
          phone
          email
          registeredAddress
          registeredPostalCode
          registeredCity
          approvalStatus {
            date
            type
            message
          }
        }
        member2 {
          name
          ssn
          phone
          email
          registeredAddress
          registeredPostalCode
          registeredCity
          approvalStatus {
            date
            type
            message
          }
        }
      }
      apartments {
        apartment1 {
          approvalStatus {
            date
            type
            message
          }
          landlord
          address
          postalCode
          city
        }
      }
      details {
        swapDate
        details1 {
          member {            
            name
            ssn
            phone
            email
            registeredAddress
            registeredPostalCode
            registeredCity
            approvalStatus {
              date
              type
              message
            }            
          }
          apartment {            
            landlord
            address
            postalCode
            city
          }
          approvalStatus {
            admin {
              name
              picture
              email
              phone
            }
            date
            type
            message
          }
          
          personCount
          childrenCount
        }
        details2 {
          member {            
            name
            ssn
            phone
            email
            
            registeredAddress
            registeredPostalCode
            registeredCity
          }
          apartment {            
            landlord
            address
            postalCode
            city
          }          
          personCount
          childrenCount
          approvalStatus {
            date
            type
            message
          }
        }
      }
      swapReason {
        reason
        freeText
        approvalStatus {
          date
          type
          message
        }
      }
      documents {
        id
        fileName
        folder
        type
        applicant {
          id
        }
        approvalStatus {
          date
          type
          message
        }
        uploadedAt
      }
    }    
  }
}`;

module.exports = query;
