const applicantService = require('../services/applicantService');
const lodash = require('lodash');

module.exports.anonymizeApplicant = async (event, context, callback) => {
  // const email = event.pathParameters.id;
  const email = lodash.get(event, 'queryStringParameters.email');
  if (!email) {
    callback(null, {
      statusCode: 400,
      body: JSON.stringify({
        status: 'FAILED',
        message: 'email not provided',
      }),
    });
  }
  try {
    await applicantService.anonymizeApplicants(email);
  } catch (error) {
    callback(null, {
      statusCode: 400,
      body: JSON.stringify({
        status: 'FAILED',
        message: 'Something went wrong with anonymization.',
      }),
    });
  }

  callback(null, {
    statusCode: 200,
    body: JSON.stringify({
      status: 'SUCCESS',
      message: '',
    }),
  });
};
