const ServiceBase = require('./serviceBase');
const lodash = require('lodash');

class AdminService extends ServiceBase {
  constructor() {
    super(lodash.get(process, 'env.ADMINS_TABLE'));
  }

  async put(obj) {
    await this.dynamoDb.put({
      TableName: this.tableName,
      Item: obj,
    }).promise();

    return obj;
  }

  async get(cognitoId) {
    const response = await this.dynamoDb.get({
      TableName: this.tableName,
      Key: { cognitoId },
    }).promise();

    return response.Item;
  }

  async delete(cognitoId) {
    await this.dynamoDb.delete({
      TableName: this.tableName,
      Key: { cognitoId },
    }).promise();

    return { cognitoId };
  }
}

module.exports = new AdminService();
