
const { verifyToken } = require('@lagenhetsbyte/auth-utils');
const lodash = require('lodash');

const jwks = require(`../jwks.${process.env.STAGE}.json`);

const parser = (event) => {
  const gqlContext = {};
  const token = lodash.get(event, 'headers.Authorization');
  if (token) {
    let user = null;
    try {
      user = verifyToken(token, jwks, process.env.USERPOOL_ISS_URL);
    } catch (error) {
      console.log(error);
      // do nothing on error, user is not logged in.
    }
    if (user) gqlContext.user = user;
  }
  return gqlContext;
};

module.exports = parser;
