const lodash = require('lodash');

const checkIfAdmin = (context) => {
  const key = 'cognito:groups';
  const cognitoGroups = lodash.get(context, `user.${key}`, []);
  return cognitoGroups.includes('admins');
};

const isAuthenticated = (root, args, context) => {
  if (!context.user) return new Error('Not authenticated');
};

const isAdmin = (root, args, context) => {
  if (!context.user) return new Error('Not authenticated');
  if (!checkIfAdmin(context)) {
    return new Error('Not authroized');
  }
};

const selfOrAdmin = (obj, args, context) => {
  if (lodash.get(context, 'user.sub') !== obj.cognitoId && !checkIfAdmin(context)) {
    return null;
  }
};

module.exports = {
  checkIfAdmin,
  isAuthenticated,
  isAdmin,
  selfOrAdmin,
};
